"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createUid = exports.deleteUid = exports.getUid = void 0;

var _milliseconds = _interopRequireDefault(require("milliseconds"));

var _cookie = require("./cookie");

var _getRandomString = require("./get-random-string");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const domain = location.hostname.split('.').slice(-2).join('.');

const getUid = () => (0, _cookie.readCookie)('uid');

exports.getUid = getUid;

const deleteUid = () => (0, _cookie.deleteCookie)('uid', domain);

exports.deleteUid = deleteUid;

const createUid = () => {
  const uid = (0, _getRandomString.getRandomString)() + (0, _getRandomString.getRandomString)();

  try {
    (0, _cookie.writeCookie)('uid', uid, {
      maxAge: _milliseconds.default.years(10),
      domain
    });
  } catch (e) {// intentionally not used
  }

  return uid;
};

exports.createUid = createUid;